Assign Child Item To Parent
curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/children/{childItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '[
123
]'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/children/{childItemId}"
payload = [123]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([123])
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/children/{childItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Assign Child Item To Parent
deprecated
Assign child items to a specific parent
POST
/
items
/
{itemId}
/
children
/
{childItemId}
Assign Child Item To Parent
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
Path Parameters
The unique id of the item.
The unique id of the item that should be assigned as a variation child to the item.
Body
application/json
The unique IDs of the variation values from the parent that should be assigned to the child. This must be an exact match and no other child can have these exact variation values.
Response
Was this page helpful?
⌘I